Main Page | Namespace List | Class Hierarchy | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# gslib::static_container::list_node_pool< Value, Size > Class Template Reference

ListNode 専用プール. More...

`#include <list_node_pool.h>`

Inheritance diagram for gslib::static_container::list_node_pool< Value, Size >:

[legend]
Collaboration diagram for gslib::static_container::list_node_pool< Value, Size >:

[legend]
List of all members.

## Public Member Functions
| list_node_pool ()
virtual size_type | size () const
## Private Member Functions
virtual node * | getTop ()
## Private Attributes
uintptr_t | buffer_ [Size *sizeof(node)/sizeof(uintptr_t)]

## Detailed Description

### template<typename Value, uint_fast_t Size>
class gslib::static_container::list_node_pool< Value, Size >

ListNode 専用プール.

Definition at line 160 of file list_node_pool.h.

## Constructor & Destructor Documentation

template<typename Value, uint_fast_t Size>
gslib::static_container::list_node_pool< Value, Size >::list_node_pool | ( |  | ) | `[inline]`

| Definition at line 166 of file list_node_pool.h. References gslib::static_container::abstruct_list_node_pool< Value >::init().
    00166                              {
    00167                 init();
    00168             }

Here is the call graph for this function:

## Member Function Documentation

template<typename Value, uint_fast_t Size>
virtual node* gslib::static_container::list_node_pool< Value, Size >::getTop | ( |  | ) | `[inline, private, virtual]`

| Implements gslib::static_container::abstruct_list_node_pool< Value >. Definition at line 162 of file list_node_pool.h. References gslib::static_container::list_node_pool< Value, Size >::buffer_.
    00162                                      {
    00163                 return reinterpret_cast< node* >( buffer_ );
    00164             }

template<typename Value, uint_fast_t Size>
virtual size_type gslib::static_container::list_node_pool< Value, Size >::size | ( |  | ) | const`[inline, virtual]`

| Implements gslib::static_container::abstruct_list_node_pool< Value >. Definition at line 170 of file list_node_pool.h.
    00170                                            {
    00171                 return Size;
    00172             }

## Member Data Documentation

template<typename Value, uint_fast_t Size>
uintptr_t gslib::static_container::list_node_pool< Value, Size >::buffer_[ Size * sizeof( node ) / sizeof( uintptr_t ) ]`[private]`

| Definition at line 161 of file list_node_pool.h. Referenced by gslib::static_container::list_node_pool< Value, Size >::getTop().

The documentation for this class was generated from the following file:

- list_node_pool.h